apiVersion: apps/v1
kind: Deployment
metadata:
  name: ixorasfinder-app
spec:
  selector:
    matchLabels:
      app: ixorasfinder-app
  replicas: 1
  template:
    metadata:
      labels:
        app: ixorasfinder-app
    spec:
      containers:
      - name: ixorasfinder-app
        image: registry.gitlab.com/tech-ixora/service-providers/front-end/servicefinder/snapshot:41f29b3e
        imagePullPolicy: Always
        ports:
        - containerPort: 8000
      imagePullSecrets:
      - name: gitlab-token-ixorasfinder

---
apiVersion: v1
kind: Service
metadata:
  name: ixorasfinder-app
spec:
  type: ClusterIP
  ports:
  - port: 8000
    protocol: TCP
    targetPort: 8000
  selector:
    app: ixorasfinder-app
